Bug 1190783 - tcp: implement tcp-ut bind option to set TCP_USER_TIMEOUT
Summary: tcp: implement tcp-ut bind option to set TCP_USER_TIMEOUT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: haproxy
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ryan O'Hara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1151756 1189241 1190776 1194407
Blocks: 1175685
TreeView+ depends on / blocked
 
Reported: 2015-02-09 15:52 UTC by Ryan O'Hara
Modified: 2015-08-14 15:36 UTC (History)
6 users (show)

Fixed In Version: haproxy-1.5.11-4.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of: 1190776
Environment:
Last Closed: 2015-03-19 18:38:20 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Ryan O'Hara 2015-02-09 15:52:15 UTC
+++ This bug was initially created as a clone of Bug #1190776 +++

Need to grab this patch:

http://git.haproxy.org/?p=haproxy.git;a=commitdiff;h=2af207a5f5e853

for faster failure detection on the frontend.  Primarily this helps in the case of VIP failover, where writes to the frontend get queued for retransmit for a very long time (tens of minutes) and the connection still appears active from haproxy's perspective.

--- Additional comment from Ryan O'Hara on 2015-02-09 10:51:43 EST ---

Patch from Willy can be found here:

http://git.haproxy.org/?p=haproxy.git;a=commitdiff;h=2af207a5f5e853

Comment 1 Fedora Update System 2015-02-18 20:55:28 UTC
haproxy-1.5.11-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2015-2236/haproxy-1.5.11-3.fc20

Comment 2 Fedora Update System 2015-02-18 20:56:42 UTC
haproxy-1.5.11-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/FEDORA-2015-2224/haproxy-1.5.11-3.fc21

Comment 3 Jaroslav Reznik 2015-03-03 17:17:59 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 4 Fedora Update System 2015-03-04 21:55:02 UTC
haproxy-1.5.11-4.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/haproxy-1.5.11-4.fc22

Comment 5 Fedora Update System 2015-03-05 12:36:25 UTC
Package haproxy-1.5.11-4.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing haproxy-1.5.11-4.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-2224/haproxy-1.5.11-4.fc21
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-03-19 18:38:20 UTC
haproxy-1.5.11-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-03-19 18:41:21 UTC
haproxy-1.5.11-4.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-03-19 18:45:39 UTC
haproxy-1.5.11-4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.